package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class AddStockChooseBean {

        /**
         * records : [{"createdBy":null,"createdByName":null,"createdTime":null,"updatedBy":null,"updatedByName":null,"updatedTime":null,"id":1,"stockId":15,"crucibleId":"COGT10019","productId":9,"quantity":0.36,"finishQuantity":null,"version":null,"lockQuantity":null,"productName":"棕刚玉30#","productSoleCode":"10101030001","productSimpleCode":"棕刚玉","productUnit":"吨","stockName":"销售二公司坩埚内库1","deptId":null,"actionQuantity":0.36}]
         * total : 1
         * size : 10
         * current : 1
         * orders : []
         * searchCount : true
         * pages : 1
         */

        private int total;
        private int size;
        private int current;
        private boolean searchCount;
        private int pages;
        private List<RecordsBean> records;
        private List<?> orders;

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public int getSize() {
            return size;
        }

        public void setSize(int size) {
            this.size = size;
        }

        public int getCurrent() {
            return current;
        }

        public void setCurrent(int current) {
            this.current = current;
        }

        public boolean isSearchCount() {
            return searchCount;
        }

        public void setSearchCount(boolean searchCount) {
            this.searchCount = searchCount;
        }

        public int getPages() {
            return pages;
        }

        public void setPages(int pages) {
            this.pages = pages;
        }

        public List<RecordsBean> getRecords() {
            return records;
        }

        public void setRecords(List<RecordsBean> records) {
            this.records = records;
        }

        public List<?> getOrders() {
            return orders;
        }

        public void setOrders(List<?> orders) {
            this.orders = orders;
        }

        public static class RecordsBean {
            /**
             * createdBy : null
             * createdByName : null
             * createdTime : null
             * updatedBy : null
             * updatedByName : null
             * updatedTime : null
             * id : 1
             * stockId : 15
             * crucibleId : COGT10019
             * productId : 9
             * quantity : 0.36
             * finishQuantity : null
             * version : null
             * lockQuantity : null
             * productName : 棕刚玉30#
             * productSoleCode : 10101030001
             * productSimpleCode : 棕刚玉
             * productUnit : 吨
             * stockName : 销售二公司坩埚内库1
             * deptId : null
             * actionQuantity : 0.36
             */

            private Object createdBy;
            private Object createdByName;
            private Object createdTime;
            private Object updatedBy;
            private Object updatedByName;
            private Object updatedTime;
            private int id;
            private int stockId;
            private String crucibleId;
            private int productId;
            private double quantity;
            private Object finishQuantity;
            private Object version;
            private Object lockQuantity;
            private String productName;
            private String productSoleCode;
            private String productSimpleCode;
            private String productUnit;
            private String stockName;
            private Object deptId;
            private double actionQuantity;
            private String chooseNum;
            private String orderType;
            private String orderId;
            private String fromStockId;

            public String getFromStockId() {
                return fromStockId;
            }

            public void setFromStockId(String fromStockId) {
                this.fromStockId = fromStockId;
            }

            public String getOrderId() {
                return orderId;
            }

            public void setOrderId(String orderId) {
                this.orderId = orderId;
            }

            public String getOrderType() {
                return orderType;
            }

            public void setOrderType(String orderType) {
                this.orderType = orderType;
            }

            public String getChooseNum() {
                return chooseNum;
            }

            public void setChooseNum(String chooseNum) {
                this.chooseNum = chooseNum;
            }

            public Object getCreatedBy() {
                return createdBy;
            }

            public void setCreatedBy(Object createdBy) {
                this.createdBy = createdBy;
            }

            public Object getCreatedByName() {
                return createdByName;
            }

            public void setCreatedByName(Object createdByName) {
                this.createdByName = createdByName;
            }

            public Object getCreatedTime() {
                return createdTime;
            }

            public void setCreatedTime(Object createdTime) {
                this.createdTime = createdTime;
            }

            public Object getUpdatedBy() {
                return updatedBy;
            }

            public void setUpdatedBy(Object updatedBy) {
                this.updatedBy = updatedBy;
            }

            public Object getUpdatedByName() {
                return updatedByName;
            }

            public void setUpdatedByName(Object updatedByName) {
                this.updatedByName = updatedByName;
            }

            public Object getUpdatedTime() {
                return updatedTime;
            }

            public void setUpdatedTime(Object updatedTime) {
                this.updatedTime = updatedTime;
            }

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public int getStockId() {
                return stockId;
            }

            public void setStockId(int stockId) {
                this.stockId = stockId;
            }

            public String getCrucibleId() {
                return crucibleId;
            }

            public void setCrucibleId(String crucibleId) {
                this.crucibleId = crucibleId;
            }

            public int getProductId() {
                return productId;
            }

            public void setProductId(int productId) {
                this.productId = productId;
            }

            public double getQuantity() {
                return quantity;
            }

            public void setQuantity(double quantity) {
                this.quantity = quantity;
            }

            public Object getFinishQuantity() {
                return finishQuantity;
            }

            public void setFinishQuantity(Object finishQuantity) {
                this.finishQuantity = finishQuantity;
            }

            public Object getVersion() {
                return version;
            }

            public void setVersion(Object version) {
                this.version = version;
            }

            public Object getLockQuantity() {
                return lockQuantity;
            }

            public void setLockQuantity(Object lockQuantity) {
                this.lockQuantity = lockQuantity;
            }

            public String getProductName() {
                return productName;
            }

            public void setProductName(String productName) {
                this.productName = productName;
            }

            public String getProductSoleCode() {
                return productSoleCode;
            }

            public void setProductSoleCode(String productSoleCode) {
                this.productSoleCode = productSoleCode;
            }

            public String getProductSimpleCode() {
                return productSimpleCode;
            }

            public void setProductSimpleCode(String productSimpleCode) {
                this.productSimpleCode = productSimpleCode;
            }

            public String getProductUnit() {
                return productUnit;
            }

            public void setProductUnit(String productUnit) {
                this.productUnit = productUnit;
            }

            public String getStockName() {
                return stockName;
            }

            public void setStockName(String stockName) {
                this.stockName = stockName;
            }

            public Object getDeptId() {
                return deptId;
            }

            public void setDeptId(Object deptId) {
                this.deptId = deptId;
            }

            public double getActionQuantity() {
                return actionQuantity;
            }

            public void setActionQuantity(double actionQuantity) {
                this.actionQuantity = actionQuantity;
            }
        }
}
